Subject: Re: bug#51319: [PATCH 0/2] Better interoperability between guix and Julia built-in package manager

From: Ludovic Courtès <[email-masked]>
Date: Thu, 10 Mar 2022 00:33:24 +0100

Hello!

Efraim, zimoun: I just stumbled upon this patch series by Jean-Baptiste,
which seems to have fallen through the cracks:

  https://issues.guix.gnu.org/51319

Could you take a look and apply them if appropriate?

Thanks in advance!

Ludo’.

Jean-Baptiste Volatier <[email-masked]> skribis:

> On Monday, November 8th, 2021 at 8:30 AM, Efraim Flashner <[email-masked]> wrote:
>
>> Thanks for the patch series! I'm really looking forward to this working
>> out in Guix, being able to use Julia to download as-yet unpackaged julia
>> packages will make using Julia much easier.
>
> Me too! Then we can concentrate first on the JLL packages since
> source only packages are likely to work as is.
>
> I forgot to mention that for this patch to work, the link-depot
> phase needs to be called before the source is modified.
> So in this new version, I have modified all packages that where
> modifiying the source after unpack to do it after link-depot instead.
>
>> I had to wrap this with '(when (file-exists? "Project.toml")' since we
>> do have some packages that pre-date the use of Project.toml. Building
>> julia-bufferedstreams will test both a package with and without a
>> Project.toml.
>
> I added a julia-package-uuid keyword argument like julia-package-name
> for packages without a Project.toml. I also modified the packages
> that needed it.
>
>> Here you have a '~a' to use uuid but package-dir isn't used anywhere. Is
>> package-dir not needed or is there a missing substitution?
>
> This was some left over from a previous iteration.
>
>
> Jean-Baptiste Volatier (2):
>   build-system/julia: Enable Julia Pkg to find installed packages
>   gnu: Add julia-sundials-jull
>
>  gnu/packages/julia-jll.scm        | 176 ++++++++++++++++++------------
>  gnu/packages/julia-xyz.scm        |  69 ++++++------
>  gnu/packages/julia.scm            |   2 +-
>  gnu/packages/maths.scm            |  24 ++++
>  guix/build-system/julia.scm       |   5 +-
>  guix/build/julia-build-system.scm |  49 ++++++++-
>  6 files changed, 217 insertions(+), 108 deletions(-)
>
>
> base-commit: 6e67c701a88064babd1aef93b58890aed2dcd0aa
> --
> 2.33.1